%define rolevendor nginxinc
%define rolename nginx
%define version 0.18.1
%define upstream_rolename %{rolename}
%define upstream_dir ansible-role-%{upstream_rolename}-%{version}
%define upstream_archive %{upstream_dir}.tar.gz
%define roleurl https://github.com/nginxinc/ansible-role-%{upstream_rolename}
%define rolesrc https://github.com/nginxinc/ansible-role-%{upstream_rolename}/archive/%{version}.tar.gz#/%{upstream_archive}
%define rolelicense Apache 2.0
%define roledesc This role installs NGINX Open Source, NGINX Plus, or the NGINX Amplify agent on your target host.

Name: ansible-role-%{rolevendor}.%{rolename}
Summary: Ansible Role %{rolevendor}.%{rolename}
Version: %{version}
Release: 1emp1
Group: Development/Libraries
License: %{rolelicense}
Source: %{rolesrc}
URL: %{roleurl}
BuildArch: noarch
AutoReq: no # prohibit false positives in files or templates

%description
%{roledesc}

%prep
%setup -q -n %{upstream_dir}

%build

%install
mkdir -p "%{buildroot}%{_datadir}/ansible/roles/%{rolevendor}.%{rolename}" \
    "%{buildroot}%{_pkgdocdir}/%{rolevendor}.%{rolename}"
cp -pR . "%{buildroot}%{_datadir}/ansible/roles/%{rolevendor}.%{rolename}"

mv LICENSE README.md \
    %{buildroot}%{_pkgdocdir}/.

%files
%dir %{_datadir}/ansible
%dir %{_datadir}/ansible/roles
%{_datadir}/ansible/roles/%{rolevendor}.%{rolename}
%license %{_pkgdocdir}/LICENSE
%doc %{_pkgdocdir}/README.md
